package com.xiang.xservice.application.script.xb.repository;

import com.xiang.xservice.application.script.xb.entity.pojo.xb.FundInfo;
import com.xiang.xservice.application.script.xb.entity.pojo.xb.XbFundCount;
import com.xiang.xservice.application.script.xb.entity.pojo.xb.XbFundList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: xiang
 * @Date: 2025-05-15 09:26
 */
@Repository
@Mapper
public interface XBFundMapper {

    List<FundInfo> queryListIn2Min();

    int batchSave(List<FundInfo> list);

    List<XbFundList> queryFundList(@Param("type") Integer type);
    List<XbFundList> queryAllFundList();

    int addCounts(List<XbFundCount> list);

    List<XbFundCount> queryFundInWeek();


}
